*{

    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
    /* outline: 1px black dotted; */
    
}

body{

    background-color: azure;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: rgb(70, 70, 70);
    
}

main{
    width: 100dvw;
    height: 100dvh;

}

canvas{

    background-color: rgba(0, 0, 0, 0.1);
    width: 100%;
    height: 100%;


}

.centered{
    text-align: center;
}


.container{

    margin: 5px;

}


.bordered{

    outline: 1px black solid;
}

.flex{
    display: flex;
}

.vertflex{
    display: flex;
    flex-direction: column;
}

.even{
    flex: 1 1 0;
}

.scrollable{

    overflow: auto;

}

.block{
    display: block;
}

.automargin{
    margin: auto;
}

.WebStuffButton{

    background-color: transparent;
    height: 30px;
    min-height: 30px;
    border: 1px rgba(0, 0, 0, 0.25) solid;
    overflow: hidden;
    padding: 5px;

}

.WebStuffButton:hover{

    background-color: rgb(207, 207, 207);
}

.WebStuffWindow{

    box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.25);
    overflow: hidden;
    border-radius: 10px;
    border: 1px solid rgba(0, 0, 0, 0.25);
    background-color: white;
}


.WebStuffHeader{

}

.WebStuffWindowHeader{
    
    background-color: rgb(156, 206, 40);
    color: white;
    cursor: default;
    position: relative;
    overflow: hidden;
    height: 30px;
    line-height: 30px;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.25);
    cursor: grab;
}

.WebStuffWindowXButton{

    position: absolute;
    right: 5px;
    top: 5px;
    height: 20px;
    aspect-ratio: 1 / 1;    
    background-color: transparent;
    border: none;
    cursor: cell;
}

.WebStuffWindowResizeButton{

    position: absolute;
    right: 5px;
    bottom: 5px;
    height: 25px;
    aspect-ratio: 1 / 1;  
    cursor: se-resize;
  

}

.WebStuffWindowContent{
    /* sbackground-color: aqua; */


}

.WebStuffTimeframePanel{

}

.WebStuffTimeframePanel input,.WebStuffTimeframePanel select{

    margin: 10px;
    padding: 5px;
    border: 1px solid rgba(0, 0, 0, 0.25);
    border-radius: 5px;
    background-color: transparent;
}


.WebStuffTotalvaluesDiv{

    position: absolute;
    pointer-events: none;
    top: 100px;
    right: 30px;
    padding: 10px;
    font-size: small;
    background-color: rgba(0, 0, 0, 0.125);
    z-index: 2;
    text-align: left;
    border-radius: 5px;
    
    
}

.WebStuffTotalvaluesDiv>*{
    pointer-events: none;

}

.WebStuffGraphTabPanel{

    height: 65px;
    overflow-x: auto;
}

.WebStuffGraphTab{

    position: relative;
    border: 1px rgba(0, 0, 0, 0.25) solid;
    overflow: hidden;
    background-color: transparent;
    border-radius: 5px;
    margin: 5px;
    margin-bottom: 20px;
    padding: 5px;
    gap: 5px;
    max-width: 400px;

}

.WebStuffGraphTab.WebStuffAddGraphTabButton{

    aspect-ratio: 1 / 1;

}

.colorselect{

    background-color: rgb(255, 255, 255);
    margin: 0px;
    margin-bottom: 0px;
    padding: 2px;
    text-align: center;
    border: 1px solid rgba(0, 0, 0, 0.05);
    z-index: 2;

}



.WebStuffChartCanvasParent{
    background-color: rgb(255, 255, 255);
    margin: 0px 10px;
    margin-bottom: 0px;
    min-height: 0px;
    border: 1px solid rgba(0, 0, 0, 0.25);
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.25) inset;
    z-index: 2;
}

.hoverpanel {
    position: absolute;
    pointer-events: none;
    background: rgba(0, 0, 0, 0.25);
    color: white;
    padding: 4px 8px;
    border-radius: 4px;
    font-size: 12px;
    display: none;
    z-index: 10; /* ensure it's on top of other content */
}

.hoverline {
    position: absolute;
    pointer-events: none;
    width: 2px;
    background: red;
    top: 0;
    height: 100%;
    display: none;
    z-index: 9; /* just under the hover panel */
}